{
  description = "Test web push notifications";
  inputs.haskellNix.url = "github:input-output-hk/haskell.nix";
  inputs.nixpkgs.follows = "haskellNix/nixpkgs-unstable";
  inputs.flake-utils.url = "github:numtide/flake-utils";
  inputs.haskell-language-server = {
    url = "github:haskell/haskell-language-server";
    flake = false;
  };
  outputs = inputs@{ self, nixpkgs, flake-utils, haskellNix, ... }:
    flake-utils.lib.eachSystem [ "x86_64-linux" "x86_64-darwin" ] (system:
    let
      overlays = [ haskellNix.overlay
        (final: prev: {
          # This overlay adds our project to pkgs
        push-notifications-test =
            final.haskell-nix.project' {
              src = ./.;
              compiler-nix-name = "ghc984";
              shell.tools = {
                cabal = {};
                haskell-language-server.src = inputs.haskell-language-server;
                ghcid = {};
              };
              # shell.NIX_SSHOPTS="-o RequestTTY=force";
              shell.withHoogle = true;
              shell.packages = ps: [ ps.push-notifications-test ];
              shell.buildInputs = [
                pkgs.android-studio
              ];
            };
        })
      ];
      pkgs = import nixpkgs {
        inherit system overlays;
        config = haskellNix.config // { allowUnfree = true; };
        };
      flake = pkgs.push-notifications-test.flake {
      };
    in flake // {
      packages.default = flake.packages."push-notifications-test:exe:push-notifications-test";
      packages.push-notifications-test = flake.packages."push-notifications-test:exe:push-notifications-test";
    }) // {
      nixosModules = {
        push-notification-server = (import ./nix/modules/push-notification-server.nix) self;
      };
      nixosConfigurations.do-test = nixpkgs.lib.nixosSystem {
          system = "x86_64-linux";
          modules = [
            self.outputs.nixosModules.push-notification-server
            ./nix/systems/do.nix
          ];
        };
    };
}
